Xerces-C++ 3.1.3

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Friends | List of all members
XMLDateTime Class Reference
Inheritance diagram for XMLDateTime:

## Public Types

enum | valueIndex { CentYear = 0, Month, Day, Hour, Minute, Second, MiliSecond, utc, TOTAL_SIZE }
enum | utcType { UTC_UNKNOWN = 0, UTC_STD, UTC_POS, UTC_NEG }
Public Types inherited from XMLNumber
enum | { LESS_THAN = -1, EQUAL = 0, GREATER_THAN = 1, INDETERMINATE = 2 }
enum | NumberType { Float, Double, BigDecimal, DateTime, UnKnown }

## Public Member Functions

| XMLDateTime (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| XMLDateTime (const XMLCh *const, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| ~XMLDateTime ()
void | setBuffer (const XMLCh *const)
| XMLDateTime (const XMLDateTime &)
XMLDateTime & | operator= (const XMLDateTime &)
virtual XMLCh * | getRawData () const
| Return string representation of the decimal value.
virtual const XMLCh * | getFormattedString () const
| Return the original and converted value of the original data.
virtual int | getSign () const
| Returns the sign of this number.
XMLCh * | getDateTimeCanonicalRepresentation (MemoryManager *const memMgr) const
XMLCh * | getTimeCanonicalRepresentation (MemoryManager *const memMgr) const
XMLCh * | getDateCanonicalRepresentation (MemoryManager *const memMgr) const
void | parseDateTime ()
void | parseDate ()
void | parseTime ()
void | parseDay ()
void | parseMonth ()
void | parseYear ()
void | parseMonthDay ()
void | parseYearMonth ()
void | parseDuration ()
Public Member Functions inherited from XMLNumber
virtual | ~XMLNumber ()
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## Static Public Member Functions

static int | compare (const XMLDateTime *const , const XMLDateTime *const)
static int | compare (const XMLDateTime *const , const XMLDateTime *const , bool)
static int | compareOrder (const XMLDateTime *const , const XMLDateTime *const)
Static Public Member Functions inherited from XMLNumber
static XMLNumber * | loadNumber (XMLNumber::NumberType numType, XSerializeEngine &serEng)

## Friends

class | XSValue

## Additional Inherited Members

Protected Member Functions inherited from XMLNumber
| XMLNumber ()
| XMLNumber (const XMLNumber &)

## Member Enumeration Documentation

enum XMLDateTime::utcType

Enumerator:

  UTC_UNKNOWN |
  UTC_STD |
  UTC_POS |
  UTC_NEG |

enum XMLDateTime::valueIndex

Enumerator:

  CentYear |
  Month |
  Day |
  Hour |
  Minute |
  Second |
  MiliSecond |
  utc |
  TOTAL_SIZE |

## Constructor & Destructor Documentation

XMLDateTime::XMLDateTime | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` | ) |

XMLDateTime::XMLDateTime | ( | const XMLCh * | const,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

XMLDateTime::~XMLDateTime | ( |  | ) |

XMLDateTime::XMLDateTime | ( | const XMLDateTime & |  | ) |

## Member Function Documentation

static int XMLDateTime::compare | ( | const XMLDateTime * | const,
|  | const XMLDateTime * | const
| ) |  |

static

static int XMLDateTime::compare | ( | const XMLDateTime * | const,
|  | const XMLDateTime * | const,
|  | bool |
| ) |  |

static

static int XMLDateTime::compareOrder | ( | const XMLDateTime * | const,
|  | const XMLDateTime * | const
| ) |  |

static

XMLCh* XMLDateTime::getDateCanonicalRepresentation | ( | MemoryManager *const | memMgr | ) | const

XMLCh* XMLDateTime::getDateTimeCanonicalRepresentation | ( | MemoryManager *const | memMgr | ) | const

virtual const XMLCh* XMLDateTime::getFormattedString | ( |  | ) | const

virtual

Return the original and converted value of the original data.

(applicable to double/float)

The internal buffer is returned directly, user is not required to delete the returned buffer

Implements XMLNumber.

virtual XMLCh* XMLDateTime::getRawData | ( |  | ) | const

virtual

Return string representation of the decimal value.

A decimal point will be included as necessary. Similar to toString above, but the internal buffer is returned directly, user is not required to delete the returned buffer

Implements XMLNumber.

virtual int XMLDateTime::getSign | ( |  | ) | const

virtual

Returns the sign of this number.

-1 negative 0 zero 1 positive

Implements XMLNumber.

XMLCh* XMLDateTime::getTimeCanonicalRepresentation | ( | MemoryManager *const | memMgr | ) | const

XMLDateTime& XMLDateTime::operator= | ( | const XMLDateTime & |  | ) |

void XMLDateTime::parseDate | ( |  | ) |

void XMLDateTime::parseDateTime | ( |  | ) |

void XMLDateTime::parseDay | ( |  | ) |

void XMLDateTime::parseDuration | ( |  | ) |

void XMLDateTime::parseMonth | ( |  | ) |

void XMLDateTime::parseMonthDay | ( |  | ) |

void XMLDateTime::parseTime | ( |  | ) |

void XMLDateTime::parseYear | ( |  | ) |

void XMLDateTime::parseYearMonth | ( |  | ) |

void XMLDateTime::setBuffer | ( | const XMLCh * const | aString | ) |

References MemoryManager::allocate(), MemoryManager::deallocate(), XMLChar1_0::isWhitespace(), and XMLString::stringLen().

## Friends And Related Function Documentation

friend class XSValue

friend

The documentation for this class was generated from the following file:

- XMLDateTime.hpp